Viewing Issue Advanced Details Jump to Notes ] [ View Source: raiden.c ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00961 Sound Minor Have not tried 2008-02-07 18:01 2011-08-28 17:56
Tester Jonemaan View Status Public Platform
Assigned To Kold666 Resolution Fixed OS
Status [?] Resolved   Driver raiden.c
Version 0.58 Fixed in Version 0.143u5 Build
Summary 00961: raidena: Some music channels go out of sync after a while.
Description Some music channels go out of sync after a while, it happens eg. when you're about half way through the 1st level. Also happens in earlier versions so it's not related to the 058 slow sound bug. Does not happen with its parent raiden.

Update: it does not happen in the half of the first level but right after you start the first level, after maybe 5 seconds.

Update by Stefan in 0.104u7: This is a "bug probably not a bug".
I did some recordings from my PCB which should be the "alternate hardware" version by comparing the roms.

I think the sound rom on my PCB is bad, i dumped it several times and got the same checksum but because of this problem i checked many more times and i do get different checksums when dumping the sound rom. It must be bad since other OKI 27512 read fine from my PCB.

I guess its likely an older version.

My pcb have more "fixes" than the leg on YM3931 chip, but these things are common on early revison PCB's and are fixed at factory.

My conclusion is that the soundrom is bad since my PCB behaves just like the "alt. set" in Mame and i have verified that the soundrom on the PCB is bad (getting differnt checksums when reading multiply times).

There is no romtest in Raiden afaik.

Follow-up by Kold666: I have a Raiden (alt) version pcb and the sound rom ( number 8 ) is the same as the Taiwan set.
If I put the sound rom from the (alt) set in mame I get the same out of sync drums on the pcb!
So I think the sound rom in alt set is a bad dump
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems raidena
Attached Files
jpg file icon raidena058gre.jpg (614,452 bytes)  2008-02-14 17:47

ogg file icon pcb_recording_raiden_gameplay.ogg (855,793 bytes)  2008-02-14 17:47
ogg file icon pcb_recording_raiden_no_soundeffects.ogg (615,146 bytes)  2008-02-14 17:47


There are no notes attached to this issue.